<ui:composition template="../template/template.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui="http://java.sun.com/jsf/facelets">

	<ui:define name="title">
        .:#{bandejaRegistroVisitasSalaMB.nombreSistema}:.
    </ui:define>
	<ui:define name="titlePages">
		<span>ACCESO A SALA</span>
	</ui:define>
	<ui:define name="urlNavegacion">
		
	</ui:define>
	<ui:define name="content">
	    <div class="row">
			<h:form id="frmBandejaVisitaSala">
				<div class="col-md-12 sin-bg-box text-center">
					<p:fieldset styleClass="ui-fieldset-general">
							<div class="row box-mb">
								<div class="col-sm-6 text-left">
										<h:outputText value="Ingresar el número de DNI o Carnet de Extranjería:" style="font-size:20px" />
								</div>							
								<div class="col-sm-6">
										<p:inputText id="txtNumeroDocumentoIdentidadCE-DNI" 
														value="#{bandejaRegistroVisitasSalaMB.numeroDocumentoCEoDni}" 
														maxlength="15" 
														mask="99999999" 
														style="text-transform:uppercase" 
														styleClass="form-control" 
														tabindex="1" />
								</div>							
							</div>
							<div class="row box-mb">
								<div class="col-sm-12">
									<p:commandButton id="idEscribirDocumentoIdentidad" value="Registrar ingreso"
										styleClass="btn btn-default btn-sensitive"
										onclick="PF('statusDialog').show()"
										oncomplete="PF('statusDialog').hide()"
										action="#{bandejaRegistroVisitasSalaMB.registrarVisitaEscribiendoCEoDNI}"
										update="frmBandejaVisitaSala" ajax="true" />
								</div>
							</div>					
					</p:fieldset>
					<p:fieldset styleClass="ui-fieldset-general">
							<div class="row box-mb">
								<div class="col-sm-6 text-left">
										<h:outputText value="Ingresar el número de Pasaporte:" style="font-size:20px" />
								</div>							
								<div class="col-sm-6">
										<p:selectOneMenu id="cmbPaisPasaporte" value="#{bandejaRegistroVisitasSalaMB.registroVisita.registroUsuario.user.codPaisPasaporte}" styleClass="form-control style-select">
											<f:selectItem itemLabel="--País--" itemValue="0" />
											<f:selectItems value="#{bandejaRegistroVisitasSalaMB.lstPais}" var="tabla" itemValue="#{tabla.codPais}" itemLabel="#{tabla.nombrePais}" />													 
										</p:selectOneMenu>									
										<p:inputText id="txtNumeroDocumentoPasaporte" 
														value="#{bandejaRegistroVisitasSalaMB.numeroDocumentoPasaporte}" 
														maxlength="15" 
														mask="99999999" 
														style="text-transform:uppercase" 
														styleClass="form-control" 
														tabindex="1" />
								</div>							
							</div>
							<div class="row box-mb">
								<div class="col-sm-12">
									<p:commandButton id="cbEscribirDocumentoIdentidad" value="Registrar ingreso"
										styleClass="btn btn-default btn-sensitive"
										onclick="PF('statusDialog').show()"
										oncomplete="PF('statusDialog').hide()"
										action="#{bandejaRegistroVisitasSalaMB.registrarVisitaEscribiendoPasaporte}"
										update="frmBandejaVisitaSala" ajax="true" />
								</div>
							</div>					
					</p:fieldset>
					<div class="row box-mb">
						<div class="col-sm-12 box-btn-tab box-main-btn xx_box-btn">
							<p:commandButton id="cbSalir" value="Salir"
								styleClass="btn btn-default btn-sensitive"
								onclick="PF('statusDialog').show()"
								oncomplete="PF('statusDialog').hide()"
								action="#{bandejaRegistroVisitasSalaMB.iniciarRegistroVisitaASala}"
								update="frmBandejaVisitaSala" ajax="true" />
						</div>
					</div>						
				</div>
			</h:form>
		</div>
	</ui:define>

</ui:composition>